import { Environment } from '@rxap/environment';
export interface OpenApiInitOptions {
    /**
     * true - load the open api config file from the default url
     * default url: openapi.json
     */
    load?: {
        openApiUrl?: string;
    } | boolean;
    /**
     * The location origin prefix for the open api base urls if the base url is not absolute. defaults to location.origin
     */
    origin?: string;
}
export declare function OpenApiInit(environment: Environment, options?: OpenApiInitOptions): Promise<void> | undefined;
